Bug 143101 - VIEWING Standard filter with OR connected criteria is not indicated on dropdowns
Summary: VIEWING Standard filter with OR connected criteria is not indicated on dropdowns
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.3.0 target:7.2.0.2
Keywords:
Depends on:
Blocks: Data-Filter
  Show dependency treegraph
 
Reported: 2021-06-28 12:08 UTC by NISZ LibreOffice Team
Modified: 2021-08-09 12:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Calc with filter criteria connected with OR (21.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-06-28 12:08 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc (43.35 KB, image/png)
2021-06-28 12:08 UTC, NISZ LibreOffice Team
Details
Example file from Calc with filter criteria connected with AND (19.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-06-28 12:09 UTC, NISZ LibreOffice Team
Details
Screenshot of the correct display in Calc if filter criteria are connected with AND (19.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-06-28 12:09 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-28 12:08:28 UTC
Created attachment 173237 [details]
Example file from Calc with filter criteria connected with OR

Attached example file contains a standard filter with two criteria connected by a logical OR.
When opened in Calc the autofilter dropdown of the column does not indicate that there is a filter in effect, although the Standard Filter dialog correctly displays the set criteria.
A similar example file with criteria linked by a logical AND does not show this.

Steps to reproduce:
    1. Open attached file
    2. Pull down the autofilter dropdown of column B, choose Standard Filter
    3. Observe there are filter criteria set: Does not end with “a” OR Does not begin with “b”.

Actual results:
The autofilter dropdown in column B does not have a blue background.

Expected results:
The autofilter dropdown in column B should have a blue background.

LibreOffice details:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 00a658ff104623d4e7fc984b5fc82d1a7e2607f2
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Also happens in 7.0, 6.0, 5.0, 4.0, 3.5.
Comment 1 NISZ LibreOffice Team 2021-06-28 12:08:48 UTC
Created attachment 173238 [details]
Screenshot of the problem in Calc
Comment 2 NISZ LibreOffice Team 2021-06-28 12:09:10 UTC
Created attachment 173239 [details]
Example file from Calc with filter criteria connected with AND
Comment 3 NISZ LibreOffice Team 2021-06-28 12:09:39 UTC
Created attachment 173240 [details]
Screenshot of the correct display in Calc if filter criteria are connected with AND
Comment 4 Commit Notification 2021-07-13 15:33:01 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1115d4d5ac63394ca0f3f1b75dc81916cdbeebe9

tdf#143101 sc UI: fix highlight of standard filter with logical OR

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-07-13 17:17:27 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/7f9fde0132b326d5ff3335aae6985e71a8ccaf6d

tdf#143101 sc UI: fix highlight of standard filter with logical OR

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-08-09 12:20:23 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: d1f1f546b212ecd651146addeb328806bb270d5f
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded